Bug 66480 - editors/openoffice.org-1.1 port uses root's $HOME for drivespace calculation
Summary: editors/openoffice.org-1.1 port uses root's $HOME for drivespace calculation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-10 18:30 UTC by reichert
Modified: 2008-03-01 23:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description reichert 2004-05-10 18:30:21 UTC
	Efforts to 'make package' yeild a 'not enough space on
	destination drive'.

	ktrace reveals that the installer makes drivespace decisions
	by statfs'ing /root, which was pulled out of /etc/passwd.
	Can't fathom why, though; I would have expected $PREFIX to
	be checked...

Fix: 

A workaround: set root's HOME to a roomy drive:

	  env HOME=/usr make package
How-To-Repeat: 
	  'make package' when you only have a 50M root partition. :)
Comment 1 Kirill Ponomarev freebsd_committer 2004-05-10 20:10:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainers.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-04-01 12:31:48 UTC
State Changed
From-To: open->feedback

Does this problem still recur with the latest openoffice?
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-03-01 23:43:28 UTC
State Changed
From-To: feedback->closed

Feedback timeout (> 6 months).